SystemOrganization addCategory: #GODConsumeAnalysis!

Object subclass: #CAAnalyser
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GODConsumeAnalysis'!

!CAAnalyser methodsFor: 'process' stamp: 'rbc 9/26/2014 18:24'!
analyse: collectionOfGODData about: product
	"Classifies collectionOfGODData into three categories."

	|  |
	^CAImpression new! !

!CAAnalyser methodsFor: 'interface' stamp: 'rbc 9/26/2014 18:24'!
feelingsAbout: productName on: source as: format
	"Analyses product informations at source and returns a list of positive and negative impressions in the desired format."

	| filter textsWithProduct feelings |
	filter := GFMainFilter new.
	textsWithProduct := filter filter: 'Galaxy S3' byOrigin: 'Facebook'.
	feelings := (self analyse: textsWithProduct about: 'Galaxy S3').
	^true "TXTTextIO export: feelings"! !

Object subclass: #CAImpression
	instanceVariableNames: 'grade'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GODConsumeAnalysis'!

!CAImpression class methodsFor: 'init' stamp: 'rbc 9/26/2014 18:11'!
grade: myGrade
	"constructor for CAImpression."
	
	| impression |
	impression := self new.
	impression initializeGrade: myGrade.
	^impression! !

!CAImpression methodsFor: 'init' stamp: 'rbc 9/26/2014 18:09'!
grade
	"accessor for grade."

	^grade! !

!CAImpression methodsFor: 'init' stamp: 'rbc 9/26/2014 17:57'!
initializeGrade: myGrade
	"initializes grade value."

	^grade := myGrade! !
